<h1>Přehled prodeje</h1>
<div class="search-holder">
    <div class="search-holder-text bg-lightgreen noborder-style" style='height: 51px'>
        <div class="padding15">
            <form method='post' action='/admin/overview/' style='float: left'>
                <label></label>
                <select name="category_id">
                    <option value='all' <?= ($this->category_id == 'all') ? "SELECTED" : "" ?>>Vše</option>
                    <?php
                    foreach ($this->categories as $rowArray) {
                        $selected = ($this->category_id == $rowArray['category_id']) ? "SELECTED" : "";
                        echo "<option value='" . $rowArray['category_id'] . "' $selected>" . $rowArray['title_cz'] . "</option>";
                    }
                    ?>
                    <option value='unsorted' <?= ($this->category_id == 'unsorted') ? "SELECTED" : "" ?>>Nezařazené předměty</option>
                </select>
                <!--<select name="year">
                    <option value='all'>Celkem</option>
                    <?php
                    /*
                    $start = 2014;
                    $years = array();
                    while ($start <= date('Y')) {
                        $selected = ($start == $this->year) ? 'selected="selected"' : '';
                        echo "<option value='$start' $selected>$start</option>";
                        $start++;
                    }*/                    
                    ?>
                </select>-->
                <input type="text" name="date_from" value="<?= (empty($this->date_from)) ? date('Y')."-01-01" : $this->date_from ?>" class="date"/>
                <input type="text" name="date_to" value="<?= (empty($this->date_to)) ? date('Y-m-d') : $this->date_to ?>" class="date"/>
                <input type='submit' value='Vybrat produkty této kategorie'>
            </form>
        </div>
    </div>
</div>
<?php include 'page.phtml';?>
<div class="search-holder">
    <div class='legend-holder'>
        <div class='legend-color-holder light'>&nbsp;</div>prodáván&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder blue'>&nbsp;</div>vystaven (nelze dát do košíku)&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder red'>&nbsp;</div>nezobrazuje se&nbsp;
    </div>
</div>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>
    <td>
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>    
    <td style="width: 110px;">
        <a href='<?= $this->url() . "?order=producer" ?>'>
            <div class="full active"><?= ($this->order == 'producer') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>výrobce</div>
        </a>
    </td>    
    <td style="width: 26px;">
        <a href='<?= $this->url() . "?order=price" ?>'>
            <div class="full active"><?= ($this->order == 'price') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>kč</div>
        </a>
    </td>
    <td style="width: 20px;">
        <a href='<?= $this->url() . "?order=vat_rate" ?>'>
            <div class="full active"><?= ($this->order == 'vat_rate') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>DPH</div>
        </a>
    </td>
    <td class="right">
        <a href='<?= $this->url() . "?order=product_quantity" ?>'>
            <div class="full active"><?= ($this->order == 'product_quantity') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>množství</div>
        </a>
    </td>
    <td class="right">
        <a href='<?= $this->url() . "?order=product_price" ?>'>
            <div class="full active"><?= ($this->order == 'product_price') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>obrat</div>
        </a>
    </td>
</thead>
<tbody>
    <?php
    $totalPrice = $totalQuantity = 0;
    if (!empty($this->products)) {
        $color = 'dark';
        $index = $this->page - 1;
        foreach ($this->products[$index] as $value) {
            if ($value['status'] == '2') {
                $color = 'blue';
            } else if ($value['status'] == '0') {
                $color = 'red';                
            }
            echo "<tr>";
            echo "<td class='$color'>";
            echo $value['product_id'];
            echo "</td>";            
            echo "<td class='$color'>";
            echo "<a href='/admin/overview/detail/?product_id=" . $value['product_id'] . "' style='text-decoration: underline;'>" . $value['title'] . "</a>";
            echo "</td>";
            echo "<td class='$color'>";
            echo $value['producer'];
            echo "</td>";
            echo "<td class='$color'>";
            echo $this->currency->toCurrency($value['price']);
            echo "</td>";
            echo "<td class='$color'>";
            echo ($value['vat_rate'] == 1) ? "stan." : "sníž.";
            echo "</td>";
            echo "<td class='$color right'>";
            echo $value['product_quantity'];
            $totalQuantity = $totalQuantity + $value['product_quantity'];
            echo "</td>";            
            echo "<td class='$color right'>";
            echo $this->currency->toCurrency($value['product_price'])."&nbsp;";            
            $totalPrice = $totalPrice + $value['product_price'];
            echo "</td>";
            echo "</tr>";
            if ($color == 'dark') {
                $color = 'light';
            } else {
                $color = 'dark';
            }
        }
    }
    ?>
    <tr>
        <td></td>
        <td>Celkem</td>
        <td></td>
        <td></td>
        <td></td>
        <td class='right'><?= $totalQuantity ?></td>
        <td class='right'><?= $this->currency->toCurrency($totalPrice) ?></td>
    </tr>
</tbody>
</table>
<?php 
if (count($this->products) > 49) {
    include 'page.phtml';
} 
/*echo "<pre>";
var_dump($this->products);
echo "</pre>";*/
?>